> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Matched Candidates

> Returns all candidates by job ID

Retrieves all matched candidates for a specific job post.


## OpenAPI

````yaml GET /match-insights?job_post_id={jobId}
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /match-insights?job_post_id={jobId}:
    get:
      description: Returns all candidates by job ID
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: All candidates response
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: ''
                  data:
                    type: array
                    default:
                      - match_id: abc-123
                        candidate:
                          first_name: John
                          last_name: Doe
                          linkedin_url: https://linkedin.com/in/johndoe
                          email: johndoe@example.com
                        insights:
                          recommendation_score: 87
                      - match_id: xyz-789
                        candidate:
                          first_name: Jane
                          last_name: Smith
                          linkedin_url: https://linkedin.com/in/janesmith
                          email: janesmith@example.com
                        insights:
                          recommendation_score: 92
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````